package com.ejie.m62fb.model;

import java.math.BigDecimal;

import com.ejie.m62fb.model.base.AbstractM62FBModel;
import com.ejie.m62fb.model.persona.Persona;

/**
 * M62r14t0- Table BD reference
 * 
XXXX
 */

public class InquilinoElemento extends AbstractM62FBModel implements
		java.io.Serializable {

	private static final long serialVersionUID = 1L;

	// Id Inquilino
	private BigDecimal idInquilino;
	// Id Contrato Alquiler Elemento
	private ContratoAlquilerElemento contratoAlquilerElemento;
	// Id Persona
	private Persona persona;
	// Ind. Vivienda Adaptada
	private String indVivAdaptada;

	/**
	 * Method 'InquilinoElemento'.
	 */
	public InquilinoElemento() {
		super();
	}

	/**
	 * Method 'InquilinoElemento'.
	 * 
	 * @param idInquilino
	 */
	public InquilinoElemento(BigDecimal idInquilino) {
		super();
		this.idInquilino = idInquilino;
	}

	/**
	 * Method 'InquilinoElemento'.
	 * 
	 * @param idContratoAlq
	 *            BigDecimal
	 * @param idInquilino
	 *            BigDecimal
	 * @param idPersona
	 *            BigDecimal
	 */
	public InquilinoElemento(BigDecimal idContratoAlq, BigDecimal idInquilino,
			BigDecimal idPersona) {
		super();
		this.contratoAlquilerElemento = new ContratoAlquilerElemento(
				idContratoAlq);
		this.idInquilino = idInquilino;
		this.persona = new Persona(idPersona);
	}

	/**
	 * Method 'getIdInquilino'
	 * 
	 * @return idInquilino
	 */
	public BigDecimal getIdInquilino() {
		return this.idInquilino;
	}

	/**
	 * Method 'setIdInquilino'
	 * 
	 * @param idInquilino
	 *            BigDecimal
	 */
	public void setIdInquilino(BigDecimal idInquilino) {
		this.idInquilino = idInquilino;
	}

	/**
	 * Method 'getContratoAlquilerElemento'
	 * 
	 * @return contratoAlquilerElemento
	 */
	public ContratoAlquilerElemento getContratoAlquilerElemento() {
		return this.contratoAlquilerElemento;
	}

	/**
	 * Method 'setContratoAlquilerElemento'
	 * 
	 * @param contratoAlquilerElemento
	 *            ContratoAlquilerElemento
	 */
	public void setContratoAlquilerElemento(
			ContratoAlquilerElemento contratoAlquilerElemento) {
		this.contratoAlquilerElemento = contratoAlquilerElemento;
	}

	/**
	 * Method 'getPersona'
	 * 
	 * @return persona
	 */
	public Persona getPersona() {
		return this.persona;
	}

	/**
	 * Method 'setPersona'
	 * 
	 * @param persona
	 *            Persona
	 */
	public void setPersona(Persona persona) {
		this.persona = persona;
	}

	/**
	 * Method 'getIndVivAdaptada'
	 * 
	 * @return indVivAdaptada
	 */
	public String getIndVivAdaptada() {
		return this.indVivAdaptada;
	}

	/**
	 * Method 'setIndVivAdaptada'
	 * 
	 * @param indVivAdaptada
	 *            String
	 */
	public void setIndVivAdaptada(String indVivAdaptada) {
		this.indVivAdaptada = indVivAdaptada;
	}
}